PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zpotri | ( | PLASMA_enum | uplo,
|  | int | N,
|  | PLASMA_Complex64_t * | A,
|  | int | LDA
| ) |  |

PLASMA_zpotri - Computes the inverse of a complex Hermitian positive definite matrix A using the Cholesky factorization A = U**H*U or A = L*L**H computed by PLASMA_zpotrf.

Parameters

  [in] | uplo | = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
  [in] | N | The order of the matrix A. N >= 0.
  [in,out] | A | On entry, the triangular factor U or L from the Cholesky factorization A = U**H*U or A = L*L**H, as computed by PLASMA_zpotrf. On exit, the upper or lower triangle of the (Hermitian) inverse of A, overwriting the input factor U or L.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value
  >0 | if i, the (i,i) element of the factor U or L is zero, and the inverse could not be computed.

See also
  PLASMA_zpotri_Tile
  PLASMA_zpotri_Tile_Async
  PLASMA_cpotri
  PLASMA_dpotri
  PLASMA_spotri
  PLASMA_zpotrf